
import withLayout from '@/layout'
import { ScrollView, Image, Swiper, SwiperItem } from '@tarojs/components'
// import Taro from '@tarojs/taro'
import { getImgURL } from '@/utils/image'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout((props) => {
  const { List = [] } = props

  return (
    <view className='Page courseDetail'>
      <ScrollView scroll-y>
        <view className='Content'>

          {/* 轮播图 or 主图 */}
          <view className='Banner'>
            <view>
              <Swiper autoplay interval={2000} indicator-dots>
                {
                  List.map((item, index) => (
                    <SwiperItem key={`Banner-${index}`}>
                      <view className='swiper-item'>
                        <Image mode='aspectFill' className='centerLabel' src={getImgURL(item.image)} />
                      </view>
                    </SwiperItem>
                  ))
                }
              </Swiper>
            </view>
          </view>

          {/* 楼盘信息 */}
          <view className='BuildingInfo'>

            <view className='flex-h Title'>
              <view className='flex-item'>
                <text className='Name'>句容·恒大养生谷</text>
                <view className='Address flex-h'>
                  <view className='flex-item'>
                    <text>课程内容课程内容课程内容课程内容课程内容课程内容课程内容..</text>
                  </view>
                </view>
                <text className='Time'>4568人在阅读</text>
              </view>
              <view className='Option'>
                <view>
                  <text className='iconfont icon-fenxiang1'></text>
                  <text>分享</text>
                </view>
                <view>
                  <text className='iconfont icon-haibao'></text>
                  <text>海报</text>
                </view>
              </view>
            </view>

          </view>

          {/* 详情介绍 */}
          <view className='Desc'>
            <view className='Title'>
              <text>课程详情</text>
            </view>
            <view className='DescContent'></view>
          </view>

          <view className='Bottom'>
            <view>
              <view>
                <text className='iconfont icon-shengming'></text>
                <text>免责声明</text>
              </view>
              <view>
                <text>&emsp;&emsp;以上价格仅供参考,具体一房一价的信息以售楼处展示为准。房屋位置交通、医疗、教育、商业等配套信息，来源于第三方不作为要约,仅供参考,双方具体权利义务应以法律规定及买卖合同约定为准。本平台对项目周边文化教育的介绍旨在提供相关信息1 意味着信息发布方对就学安排作出承诺。相关教育资首页信息存在调整的可能,应以政府教育主管部门门及办学颁布的政策规定为准。详情请仔细阅读</text>
                <text className='active'>《新联宝使用免责条款》</text>
              </view>
            </view>
          </view>

        </view>
      </ScrollView>
    </view>
  )
})
