import { useState } from 'react'
import withLayout from '@/layout'
import { Image } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout(() => {

  const [ShowInfo, setShowInfo] = useState(false)

  const CutInfo = (status) => {
    return () => {
      setShowInfo(!!status)
    }
  }

  return (
    <view className='Page findHouseFromMap'>

      {/* 地图 */}
      <view className='MapContainer'>

      </view>

      {/* 定位 */}
      <view className='Location'>
        <text className='iconfont icon-dingwei'></text>
        <text>南京市</text>
      </view>

      {/* 分享 */}
      <view className='Share'>
        <text className='iconfont icon-fenxiang'></text>
        <text>分享</text>
      </view>

      {/* 附近楼盘 */}
      <view className={ShowInfo ? 'AroundBuilding active' : 'AroundBuilding'}>
        <view className='Go'>
          <text>立即</text>
          <text>前往</text>
        </view>
        <view className='InfoContainer'>
          <text className='Title' onClick={CutInfo(true)}>附近楼盘</text>
          <view className='InfoContent'>
            <view className='Img'>
              <Image mode='scaleToFill' src={null} className='centerLabel'></Image>
            </view>
            <view className='Name flex-h'>
              <view className='flex-item'>
                <text>奥园金基天著尚居</text>
              </view>
              <text>约</text>
              <text>20000/㎡</text>
            </view>
            <text className='Address'>江宁禄口云熙99路号（诚信大道）</text>
            <view className='Tag'>
              <text>纯新盘</text>
              <text>纯新盘</text>
              <text>纯新盘</text>
            </view>
            <view className='Views flex-h'>
              <view className='flex-item'>
                <text className='iconfont icon-fenxiang'></text>
                <text>3次分享</text>
              </view>
              <view className='Icons'>
                <view>
                  <Image mode='scaleToFill' src={null} className='centerLabel'></Image>
                </view>
                <view>
                  <Image mode='scaleToFill' src={null} className='centerLabel'></Image>
                </view>
                <view>
                  <Image mode='scaleToFill' src={null} className='centerLabel'></Image>
                </view>
              </view>
              <text>...9人围观</text>
            </view>
          </view>
        </view>
      </view>

    </view>
  )
})
